<div ngClass="utility-container">
    <div class="utility-search-component nav-left">
        <div class="input-group">
            <mat-icon ngClass="utility-icon" style="margin-top:5px" (click)="backToAdminDashboard()">chevron_left</mat-icon>
            <mat-icon ngClass="utility-icon" style="margin-top:5px">search</mat-icon>
            <input type="text" (keyup)="initiateSearch($event)" class="input-mock-material" id="search" placeholder="Cari">
        </div>
    </div>
    <div class="utility-misc-component nav-right">
        <mat-basic-chip matTooltip="Jumlah Kategori" ngClass="utility-chip">{{ categoryList.length }}</mat-basic-chip>
        <i fa [size]="'1'" matTooltip="Urutkan Nama Kategori" [name]="'sort-alpha-asc'" *ngIf="sortCode===0" [ngClass]="{'utility-icon':true}" (click)="initiateSort()"></i>
        <i fa [size]="'1'" matTooltip="Urutkan Nama Kategori" [name]="'sort-alpha-asc'" *ngIf="sortCode===1" [ngClass]="{'utility-icon':true, 'active':sortCode > 0}" (click)="initiateSort()"></i>
        <i fa [size]="'1'" matTooltip="Urutkan Nama Kategori" [name]="'sort-alpha-desc'" *ngIf="sortCode===2" [ngClass]="{'utility-icon':true, 'active':sortCode > 0}" (click)="initiateSort()"></i>
        <mat-icon matTooltip="Hapus Kategori" ngClass="utility-icon delete-icon" *ngIf="deleteTarget && privileges.deleteCategory" (click)="openDeleteDialog()">delete</mat-icon>
    </div>
</div>
<div ngClass="content-container">
    <p style="text-align: center; font-style: italic;" *ngIf="categoryList.length === 0">Kategori tidak ditemukan</p>
    <app-category-card  *ngFor="let categoryItems of myItems"
                [category]="categoryItems" (click)="onCardClick(categoryItems)"
                [selectedId]="(selectedItem)?selectedItem.categoryId:undefined">

    </app-category-card>
</div>
<button mat-mini-fab *ngIf="privileges.addCategory" ngClass="toggle-add-item" (click)="showAddCategoryForm()"><mat-icon>add</mat-icon></button>